##
##  lemon.spec -- OpenPKG RPM Specification
##  Copyright (c) 2000-2003 Cable & Wireless Deutschland GmbH
##  Copyright (c) 2000-2003 The OpenPKG Project <http://www.openpkg.org/>
##  Copyright (c) 2000-2003 Ralf S. Engelschall <rse@engelschall.com>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   package information
Name:         lemon
Summary:      LALR(1) Parser Generator
URL:          http://www.hwaci.com/sw/lemon/
Vendor:       D. Richard Hipp
Packager:     The OpenPKG Project
Distribution: OpenPKG [PLUS]
Group:        Language
License:      GPL
Version:      1.0
Release:      20020821

#   list of sources
Source0:      http://www.hwaci.com/sw/lemon/lemon.c
Source1:      http://www.hwaci.com/sw/lemon/lempar.c
Source2:      http://www.hwaci.com/sw/lemon/lemon.html

#   build information
Prefix:       %{l_prefix}
BuildRoot:    %{l_buildroot}
BuildPreReq:  OpenPKG, openpkg >= 20020206
PreReq:       OpenPKG, openpkg >= 20020206
AutoReq:      no
AutoReqProv:  no

%description
    The Lemon program is an LALR(1) parser generator. It takes a context
    free grammar and converts it into a subroutine that will parse a
    file using that grammar.

%prep
    %setup -T -c -n lemon-%{version}
    cp %{SOURCE lemon.c} lemon.c
    %{l_shtool} subst \
        -e 's;"lempar.c";"%{l_prefix}/share/lemon/lempar.c";g' \
        lemon.c

%build
    %{l_cc} %{l_cflags -O} -o lemon lemon.c

%install
    rm -rf $RPM_BUILD_ROOT
    %{l_shtool} mkdir -f -p -m 755 \
        $RPM_BUILD_ROOT%{l_prefix}/bin \
        $RPM_BUILD_ROOT%{l_prefix}/share/lemon
    %{l_shtool} install -c -s -m 755 \
        lemon $RPM_BUILD_ROOT%{l_prefix}/bin/
    %{l_shtool} install -c -m 644 \
        %{SOURCE lempar.c} $RPM_BUILD_ROOT%{l_prefix}/share/lemon/
    %{l_shtool} install -c -m 644 \
        %{SOURCE lemon.html} $RPM_BUILD_ROOT%{l_prefix}/share/lemon/
    %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT %{l_files_std}

%files -f files

%clean
    rm -rf $RPM_BUILD_ROOT

